[Overview][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'process' (#fcl)

# TProcess.Desktop

Desktop on which to start the process.

## Declaration

Source position: process.pp line 144

`published property TProcess.Desktop: String read FDesktop write FDesktop;`

## Description

DeskTop is used on Windows to determine on which desktop the process' main window should be shown. Leaving this empty means the process is started on the same desktop as the currently running process.

Changing this property after the process was started has no effect.

On unix, this parameter is ignored.

## See also

TProcess.Input |  | Stream connected to standard input of the process.
TProcess.Output |  | Stream connected to standard output of the process.
TProcess.StdErr |  | Stream connected to standard diagnostic output of the process.

The latest version of this document can be found at lazarus-ccr.sourceforge.net .